nginx init script for redhat (rhel5)
mike
mike503 at gmail.com
Tue Mar 17 06:18:24 MSK 2009
looks like yours also starts /etc/init.d/httpd (most likely apache) as well?
On Mon, Mar 16, 2009 at 8:11 PM, Chris Zimmerman
<fud.theturtle at gmail.com> wrote:
> Better probably, not. This is what I use. At least it works.
>
> #! /bin/sh
>
>
> # Description: Startup script for nginx webserver on Debian. Place in
> /etc/init.d and
> # run 'sudo update-rc.d nginx defaults', or use the appropriate command on
> your
>
> # distro.
> #
> #chkconfig: 2345 55 25
> #
> # Author: Ryan Norbauer <ryan.norbauer at gmail.com>
>
> # Modified: Geoffrey Grosenbach http://topfunky.com
>
> set -e
>
> PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
>
> DESC="nginx daemon"
> NAME=nginx
> DAEMON=/usr/local/sbin/$NAME
>
> CONFIGFILE=/etc/nginx/nginx.conf
> PIDFILE=/var/run/$NAME.pid
>
> SCRIPTNAME=/etc/init.d/$NAME
>
> # Gracefully exit if the package has been removed.
>
> test -x $DAEMON || exit 0
>
> d_start() {
>
> $DAEMON -c $CONFIGFILE || echo -n " already running"
>
> }
>
> d_stop() {
> kill -15 `cat $PIDFILE` || echo -n " not running"
>
> }
>
> d_reload() {
> kill -15 `cat $PIDFILE` || echo -n " can't reload"
>
> }
>
> case "$1" in
> start)
> echo -n "Starting $DESC: $NAME"
>
> d_start
> echo "."
> /etc/init.d/httpd start
> ;;
>
> stop)
> echo -n "Stopping $DESC: $NAME"
> d_stop
>
> echo "."
> /etc/init.d/httpd stop
> ;;
> reload)
>
> echo -n "Reloading $DESC configuration..."
> d_reload
> echo "reloaded."
>
> /etc/init.d/httpd restart
> ;;
> restart)
> echo -n "Restarting $DESC: $NAME"
>
> d_stop
> # One second might not be time enough for a daemon to stop,
> # if this happens, d_start will fail (and dpkg will break if
> # the package is being upgraded). Change the timeout if needed
>
> # be, or change d_stop to have start-stop-daemon use --retry.
> # Notice that using --retry slows down the shutdown process somewhat.
> sleep 1
>
> d_start
> echo "."
> /etc/init.d/httpd restart
> ;;
>
> *)
> echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
>
> exit 3
> ;;
> esac
>
> exit 0
More information about the nginx
mailing list